Subject: Re: linux-next: manual merge of the crypto tree with the riscv-soc tree

From: Conor Dooley <[email-masked]>
Date: Mon, 30 Jan 2023 07:54:17 +0000

On Mon, Jan 30, 2023 at 11:41:28AM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the crypto tree got a conflict in:
> 
>   MAINTAINERS
> 
> between commit:
> 
>   08b9a94e8654 ("soc: starfive: Add StarFive JH71XX pmu driver")
> 
> from the riscv-soc tree and commit:
> 
>   c388f458bc34 ("hwrng: starfive - Add TRNG driver for StarFive SoC")
> 
> from the crypto tree.

> Note, please keep MAINTAINERS file entries in alphabetical order.

Huh, good point. I didn't notice the PMU entry was added out of order.

> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.

Thanks Stephen